if (!desknets.Resource.cdb) {
    desknets.Resource.cdb = {};
}
$.extend(desknets.Resource.cdb, {
    'nextButtonLabel': 'Next >',
    'prevButtonLabel': '< Previous',
    'doAction': 'Yes',
    'donotAction': 'No',
    'createAction': 'Create',
    'unspecified': '(Unspecified)',
    'uncategorized': '(Uncategorized)',
    'showViewButtonLabel': 'Redisplay',
    'rollbackViewButtonLabel': 'Discard',
    'rollbackOtherViewButtonLabel': 'Discard and continue',
    
    // アプリケーション
    'menuAppLabelAdd': 'Add Label',
    'menuAppLabelMod': 'Edit Label',
    'menuAppLabelDel': 'Delete Label',
    'appCopyDefaultName': 'Duplicated {{name:hs}}',

    // 部品
    'partKind_id': 'ID',
    'partKind_textbox': 'Text (1 Line)',
    'partKind_textarea': 'Text (Multi Line)',
    'partKind_checkbox': 'Check Box',
    'partKind_radio': 'Radio Button',
    'partKind_select': 'Pull Down',
    'partKind_listbox': 'List Box',
    'partKind_number': 'Number',
    'partKind_date': 'Date',
    'partKind_time': 'Time',
    'partKind_datetime': 'Date/Time',
    'partKind_files': 'Attachment Files',
    'partKind_expression': 'Auto Calculation',
    'partKind_richeditor': 'Rich Text',
    'partKind_users': 'Select User',
    'partKind_groups': 'Select Group',
    'partKind_input_list': 'Table Part',
    'partKind_user': 'User',
    'partKind_rel_list': 'Reference List',
    'partKind_rel_field': 'Reference Part',
    'partKind_text': 'Text',
    'partKind_horizontal_line': 'Horizontal Line',
    'partKind_vertical_line': 'Vertical Line',
    'partKind_rectangle': 'Rectangle',
    'partKind_image': 'Image',
    'partKind_interval': 'Period',
    'partKind_custom': 'Custom Part',
    'partKind_multiple': '(Multiple)',
    'partKind_copy_field': 'Duplicate Part',
    'partKind_total': 'Aggregation',
    'partKind_none': '(None)',
    'viewPartSampleValue': 'Sample',
    'viewPartSampleValue_textbox': 'Sample text',
    'viewPartSampleValue_textarea': 'This is sample text. This is sample text. This is sample text. This is sample text. This is sample text.',
    'viewPartSampleValue_files': 'sample_file.txt',
    'viewPartSampleValue_users': 'Sample name',
    'viewPartSampleValue_groups': 'Sample group name',
    'viewPartSampleValue_user': 'Sample name',
    'partRecordError_reference_error': desknets.Resource.cdbneo.partRecordError_reference_error,
    'partRecordError_under_maintenance': desknets.Resource.cdbneo.partRecordError_under_maintenance,
    'partRecordError_unauthorized': desknets.Resource.cdbneo.partRecordError_unauthorized,
    'partAutoIdentified': '(Automatic numbering)',
    'partRelTargetDeleted': 'Deleted',
    'partRichTextHasValue': '(With value)',
    'partDateFormat': 'E MM/dd/yyy',
    'partDateFormat_short': 'MM/dd/yyyy',
    'partTimeFormat': 'h:mm a',
    'partDateTimeFormat': 'E MM/dd/yyyy h:mm a',
    'partDateTimeFormat_short': 'MM/dd/yyyy h:mm a',
    'partTimeSpanFormat': desknets.Resource.cdbneo.partTimeSpanFormat,
    'partDateClear': 'Clear value',
    'partDateToday': 'Today',
    'partDateNow': 'Current',
    'partUserChooseMe': 'Select login user',
    'partUserChooseOther': 'Select another user',
    'partGroupChooseMe': 'Select the default group of login user',
    'partGroupChooseOther': 'Select other group',
    'partList_insertRow': 'Insert line',
    'partList_deleteRow': 'Delete line',
    'partRelKeyShowSource': 'Show reference',
    'partTitle_total_sum': 'Total of {{field}}',
    'partTitle_total_avg': 'Average of {{field}}',
    'viewPartNoListItems': '(No applicable data)',
    'viewPartEllipsedListItems': 'The number of hits exceeds {{count}}. Display up to {{count}} items.',
    'viewPartNoColumn_input_list': 'The part to be displayed in the list is not selected. \n Set the parts to be displayed in the [Detailed Settings of Table Part] dialog. \n → [Detailed Settings of Table Part]',
    'viewPartNoColumn_rel_list': 'The part to be displayed in the list is not selected. \n Set the part to be displayed in the [Detailed Settings of Reference List] dialog. \n → [Detailed Settings of Reference List]',
    'viewPartNoText_text': 'Text is not set. \n Set the text to display. \n → [Edit text]',
    'viewPartProblem_reference_error': 'The referenced application or its part is not referenced correctly',
    'viewPartProblem_NotSupportVideoTag': 'The video format is not supported by your browser and cannot be played',
    'viewPartCreating': 'Creating...',

    // 絞り込み条件
    'filterDayFormat': 'Day {{day:hs}}',
    'filterLastDay': 'Last day',
    'filterAllMonth': 'Day 1 ~ last day',
    'filterDateText_today': 'Today',
    'filterDateText_thisMonth': 'This month',
    'filterDateText_lastMonth': 'Previous month',
    'filterDateText_nextMonth': 'Next month',
    'filterDateText_-days': '{{value}} day(s) ago',
    'filterDateText_+days': '{{value}} day(s) later',
    'filterDateText_-months': '{{value}} month(s) ago',
    'filterDateText_+months': '{{value}} month(s) later',
    'filterDateText_-years': '{{value}} year(s) ago',
    'filterDateText_+years': '{{value}} year(s) later',
    'filterDateText_deleted': '(Deleted part)',
    'filterText_is_not_null': 'With value',
    'filterText_is_null': 'Without value',
    'filterFilesText_is_not_null': 'With file',
    'filterFilesText_is_null': 'Without file',
    'filterSelectionText_LOGINUSER': 'Login user',
    'filterSelectionText_MYDEFAULTGROUP': 'Default group of login user',
    'filterComplexText': '(Narrowing down)',

    // ジョブ系(インポート・エクスポート・再計算)
    'impexpCsvColumn': 'Column {{Column}}',
    'impexpImportLabel': 'Import',
    'impexpImportResultLabel': 'Check the imported data',
    'impexpExportLabel': 'Export',
    'impexpSelectFrom_CsvColumn': '(Select from CSV column)',
    'impexpSelectFrom_parentPart': '(Select part of referred data)',

    // 変更履歴
    'changelogTypeInsert': 'Data has been added.',
    'changelogTypeUpdate': 'Data has been updated.',
    'changelogTypeSelect':'{{value}} have been added.',
    'changelogTypeUnselect':'<s>{{value}}</s> have been removed.',
    'changelogTypeInsertInInputList': 'Data row has been added.',
    'changelogTypeUpdateInInputList': 'Data row has been updated.',
    'changelogTypeDeleteInInputList': 'Data row has been deleted.',
    'changelogValueDetail': 'Details',

    // ダイアログのタイトル
    'browseFilterDialogTitle': 'Filter Conditions',
    'browseShortcutDialogTitle_update': 'Update Favorite Search Criteria',
    'browseDetailPrintDialogTitle': 'Print Details',
    'browseLockedColumnDialogTitle': 'Freeze Column',
    'browseAppEntryMenuDialogTitle': 'App Creation Menu',
    'browseAppEntryTemplateMenuDialogTitle': 'Create from Template Menu',
    'browseHtmlExportDialogTitle': 'Export to HTML File',
    'fieldChooserDialogTitle': 'Part Selection',
    'viewCreateDialogTitle': 'Create Screen',
    'viewDetailDialogTitle': 'Detailed Screen Settings',
    'viewCommitingDialogTitle': 'Applying settings ...',
    'partAddPanelTitle': 'Part Addition',
    'partSettingsPanelTitle': 'Part Settings',
    'partDefaultValueDialogTitle': 'Initial Value',
    'partOptionsDialogTitle': 'Selection',
    'partExpressionDialogTitle': 'Auto Calculation',
    'partInputListDialogTitle': 'Detailed Settings of Table Part',
    'partRelListDialogTitle': 'Detailed Settings of Reference List',
    'partCopyFieldDialogTitle': 'Selection of Copy Source Parts',
    'partIdentityDialogTitle': 'Detailed Settings for Automatic Numbering',
    'relationDialogTitle': 'Relationship with Other Applications',
    'relationDialogTitle_page_0': 'Key and App Selection',
    'relationDialogTitle_page_1': 'Settings of Selection Dialog',
    'accessChooserTitle': 'User/Group/Role Selection',
    'fieldDetailDialogTitle_internal': 'Where This Part Is Used',
    'fieldDetailDialogTitle_external': 'App That Related to This Part',
    'fieldModifyDialogTitle': 'Update Part Name',
    'fieldDeleteProgressDialogTitle': 'Deleting...',
    'sortOrderCommitingDialogTitle': 'Updating sort order setting ...',
    'noticeFormatEditDialogTitle': 'Notification Format',
    'csvImportDialogTitle': 'Import from CSV File',
    'csvExportDialogTitle': 'Export to CSV File',
    'csvExportProgressDialogTitle': 'Exporting',
    'csvExportCompleteDialogTitle': 'CSV export completed',
    'csvExportAbortDialogTitle': 'CSV export canceled',
    'csvAppImportDialogTitle': 'Create App (Import from CSV)',
    'templateImportDialogTitle': 'Template Import',
    'templateImportCompleteDialogTitle': 'Template import completed',
    'templateDetailInfomationDialogTitle': 'Template Details',
    'templateConfirm2dbDialogTitle': 'Confirm App Creation',
    'replaceDialogTitle': 'Replace Value',
    'changelogDialogTitle': 'Data Change Log',

    // ボタン等のラベル
    'relationButtonRemove': 'Clear',
    'tableButtonRevert': 'Undo',
    'linkMoreThumbs': 'See more ({{num}} more)',
    'appStatusSetToRunning': 'Publish',
    
    // 部品管理
    'fieldDetailTitle_rellist_field': 'Detailed Settings of Reference List',
    'fieldDetailTitle_identity_field': 'Formatting automatic numbering',
    'fieldDetailTitle_view': 'Screen Design',
    'fieldDetailTitle_aggregate': 'Aggregation Settings',
    'fieldDetailTitle_task': 'Auto Action',
    'fieldDetailTitle_sort': 'Data Sort Order',
    'fieldDetailTitle_record_access': 'Access rights for data',
    'fieldDetailTitle_field_access': 'Access rights for parts',
    'fieldDetailTitle_record_access_filter': '(Range of target data)',
    'fieldDetailTitle_access_assign': '(Access rights granted users)',
    'fieldDetailTitle_no_referable_app': '(App that cannot be referenced)',
    'fieldDetailTitle_no_referable_field': '(Part that cannot be referenced)',
    'fieldDetailTitle_coord': 'Other Feature Integration',
    'fieldDetailTitle_coord_schedule': 'Schedule',
    'fieldDetailTitle_flow_format': 'Workflow/Application Form Settings',
    'fieldDetailTitle_flow_route': '(Branch Condition of Steps)',

    // 画面
    'partSizeAuto': '(Auto)',
    'partOptionsUnselect': '(Not Selected)',
    'partMaxUnlimited': '(Unltd.)',
    'partDefaultOptions': ['Sample choice 1', 'Sample choice 2', 'Sample choice 3'],
    'mainView_show': 'Display',
    'mainView_notShow': 'Hide',
    'viewDefaultName_card': 'Details Screen',
    'viewDefaultName_table': 'List Screen',
    'viewDefaultName_calendar': 'Calendar',
    'viewDefaultName_copy': 'Duplicated {{name:hs}}',
    'viewRelationThatApp': 'Other applications',
    'partIdentitySequence': 'Sequence No.',
    'viewSizeFormat': 'Width: {{page_width_mm}} mm ({{page_width_px}} px), Height: {{page_height_mm}} mm ({{page_height_px}} px)',
    
    // アプリケーション設定
    'recalcRunning': 'Recalculation is in progress',
    'coordinateFlowFormatUneditable': 'You cannot update workflow application form.',

    // 集計
    'aggrCommon_donot': 'Do not apply',
    'aggrCommon_success': 'Success',
    'aggrCommon_error': 'Error',
    'aggrCommon_all': '(All)',
    'aggrBlank': '(Blank)',
    'aggrItemDeleted': '(Usage prohibited)',
    'aggrSettingsNewTitle': 'New aggregation',
    'aggrMethodSettingsPanelTitle': 'Aggregation Method',
    'aggrDropAreaTitleColumn_pivot': 'Column',
    'aggrDropAreaTitleColumn_graph': 'Legend (series)',
    'aggrDropAreaTitleRow_pivot': 'Row',
    'aggrDropAreaTitleRow_pie': 'Axis (Item)',
    'aggrDropAreaTitleRow_graph': 'Axis (Item)',
    'aggrDropAreaValueItemTitle': '<<Aggregated value>>',
    'aggrFieldOptionSubmenuSetting': 'Configuring...',
    'aggrFieldOptionSubmenuRelease': 'Unselect',
    'aggrFieldOptionTitleSum': 'Total',
    'aggrFieldOptionTitleCount': 'Number of Data',
    'aggrFieldOptionDialogTitle': 'Settings',
    'aggrAggregatingDialogTitle': 'Aggregating...',
    'aggrCommitingDialogTitle': 'Applying settings ...',
    'aggrDrawingDialogTitle': 'Creating graph ...',
    // 項目の詳細設定ダイアログ
    'aggrItemSetting_HandleZero':'0 will be used if left blank.',
    'aggrItemSetting_CountZero':'Count the blank data',
    // 集計範囲
    'aggrFilterModifyDialogTitle': 'Change the Aggregation Range',
    // 集計処理
    'aggrPollingDialogTitle': 'Aggregating',
    // 集計レポート
    'aggrReportLinkDialogTitle': 'Aggregation Link',

    // 集計設定管理
    'aggrSettingCopyDialogTitle': 'Save as',
    'aggrSettingPublicDialogTitle': 'Privacy Settings',
    'aggrSettingListDialogTitle': 'Aggregation Management',
    'aggrSettingOptionsDialogTitle': 'Aggregation Options',
    'aggrReportPublic_off': 'Private',
    'aggrReportPublicTarget_all': 'All users',
    'aggrReportPublicTarget_app_reference': 'Users who can access this app',
    'recurrenceDescFormat_h_minutes': 'Every {{interval}} minutes',
    'recurrenceDescFormat_h_hours': 'Every {{interval}} hour(s)',
    'recurrenceDescFormat_d': 'Every {{interval}} day(s)',
    'recurrenceDescFormat_w': 'Every {{interval}} week(s)',
    'recurrenceDescFormat_m': 'Every {{interval}} month(s)',
    'recurrenceDescFormat_dayOfWeek': '{{daysOfWeek}} {{recurrence}}',
    'recurrenceDescFormat_dayOfMonth': '{{recurrence}} on Day {{day}}',
    'recurrenceDescFormat_weekAndDayOfMonth': '{{weekOfMonth}} {{dayOfWeek}} {{recurrence}}',
    'recurrenceDescFormat_weekOfMonth': ['Last', '1st', '2nd', '3rd', '4th', '5th'],
    'recurrenceDescFormat_repeat': 'Repeat {{rependtimes}} time(s) from {{startdate}}',
    'recurrenceDescFormat_enddate': 'from {{startdate}} to {{enddate}}',
    'recurrenceDescFormat_dayOfMonthLastDay': '{{recurrence}} Last Day',
    // 集計レポート一覧
    'aggrReportListDialogTitle': 'Aggregation Result Log',
    'aggrReportLink': 'Check the aggregation result',
    'aggrReportCreateByBatch': '(Created Automatically)',

    // ピボット
    'aggrPivotSubtotal': 'Subtotal',
    'aggrPivotGrandtotal': 'Grand Total',
    'aggrPivotGrandtotalPrefix': 'Overall',
    'aggrGrandtotalValueName': 'Aggregation',

    // グラフ
    'aggrGraphDataUnit_K': 'Thousand',
    'aggrGraphDataUnit_M': 'Million',
    'aggrGraphDataUnit_G': 'Billion',
    'aggrGraphDataUnit_T': 'Trillion',

    // 集計フォーマット
    'aggrFormat_hour':  'hh a',
    'aggrFormat_day':   'dd',
    'aggrFormat_month': 'MM',
    'aggrFormat_year':  'yyyy',
    'aggrFormat_md':    'MM/dd',
    'aggrFormat_ym':    'MM/yyyy',
    'aggrFormat_ymd':   'MM/dd/yyyy',
    'aggrFormat_ymdh':  'MM/dd/yyyy hh a',

    // 通知状態
    'noticeOn': 'Enable',
    'noticeOff': 'Disable',

    // 通知書式のシステム値
    'NumberOfTarget':     'No. of Items',
    'NumberOfSuccess':    'No. of Success',
    'NoticeTitle':        'Notification Title',
    'ApplicationName':    'App Name',
    'URL_ApplicationTop': 'App URL',
    'URL_Detail':         'Details Screen URL',
    
    // 自動処理
    'taskSaveEntryConstantValueLabel':'(Constant Value)'
});

$.extend(desknets.Resource.Message, {
    'isAttachNg_import': 'Importing is not possible because the usage of attachments is restricted.',
    'isAttachNg_export': 'Exporting is not possible because the usage of attachments is restricted.',
    'cdb_checkCarefulConfirm': 'Delete',
    'cdb_invalidColorMismatchMessage': 'The color is incorrect.',
    'cdb_filter_errorMessage_deleted': 'This part has been deleted.',
    'cdb_jobRunningRestart': 'The previously executed process has not completed yet. The progress will be displayed.',
    'cdb_jobByName': ' by {{name:hs}}',
    'cdb_jobAlreadyExists_import': 'Importing{{byName}} is in progress. Please wait for a while and try it again.',
    'cdb_jobRunningTitle_import': app.Resource.Message.importExecutionTitle,
    'cdb_jobRunningMessage_import': app.Resource.Message.importUnderExecution,
    'cdb_jobCompleteTitle_import': 'CSV import completed',
    'cdb_jobCompleteMessage_import': 'Import is completed.',
    'cdb_jobIncompleteTitle_import': 'CSV import canceled',
    'cdb_jobIncompleteMessage_import': 'Import process is canceled.',
    'cdb_jobDetail_import': 'Success: {{OK}}',
    'cdb_jobAlreadyExists_delete': 'Batch data deletion processing{{byName}} is in progress. Please wait for a while and try it again.',
    'cdb_jobRunningTitle_delete': 'Deleting',
    'cdb_jobRunningMessage_delete': app.Resource.Message.importUnderExecution,
    'cdb_jobCompleteTitle_delete': 'Completed',
    'cdb_jobCompleteMessage_delete': 'Bulk deletion of data is completed.',
    'cdb_jobIncompleteTitle_delete': 'Canceled',
    'cdb_jobIncompleteMessage_delete': 'Bulk deletion of data is canceled.',
    'cdb_jobDetail_delete': 'No. of deletions: {{count}}',
    'cdb_jobAlreadyExists_recalculate': 'Recalculation processing{{byName}} is in progress. Please wait for a while and try it again.',
    'cdb_jobRunningTitle_recalculate': 'Recalculating',
    'cdb_jobRunningMessage_recalculate': app.Resource.Message.importUnderExecution,
    'cdb_jobCompleteTitle_recalculate': 'Recalculation completed',
    'cdb_jobCompleteMessage_recalculate': 'Recalculation of automatic calculation is completed.',
    'cdb_jobIncompleteTitle_recalculate': 'Recalculation canceled',
    'cdb_jobIncompleteMessage_recalculate': 'Recalculation of automatic calculation is canceled.',
    'cdb_jobDetail_recalculate': 'No. of processed data: {{count}}',
    'cdb_jobAlreadyExists_replace': 'Value replacement processing{{byName}} is in progress. Please wait for a while and try it again.',
    'cdb_jobRunningTitle_replace': 'Replacement in progress',
    'cdb_jobRunningMessage_replace': app.Resource.Message.importUnderExecution,
    'cdb_jobCompleteTitle_replace': 'Replacement completed',
    'cdb_jobCompleteMessage_replace': 'Replacement of value is completed.',
    'cdb_jobIncompleteTitle_replace': 'Replacement canceled',
    'cdb_jobIncompleteMessage_replace': 'Replacement of value is canceled.',
    'cdb_jobDetail_replace': 'Success: {{OK}} <br> Failure: {{NG}}',
    'cdb_jobDetail_replaceDownloadLink': 'Download log file',
    'cdb_app_confirmToDeleteSubLabel': 'Sub labels will also be deleted.',
    'cdb_app_confirmToDeleteApp': 'Are you sure you want to delete?',
    'cdb_app_confirmToDeleteApp_any': 'If you delete this app, all the data in the app will also be deleted.',
    'cdb_app_confirmToDeleteApp_rel': 'This app is being referred by other app(s). There may be problems occur with the referencing app(s).',
    'cdb_app_confirmToDeleteApp_flow': 'Some data may be referred from workflow. There may be form cannot be displayed on workflow.',
    'cdb_app_confirmToDeleteApp_rel_extra': 'To avoid problems, we recommend that you remove the reference relationship between the apps before deleting this app.',
    'cdb_confirmToDelField': 'The selected part is mainly used in screen settings, auto action and aggregate. <br> Please check the usage and related apps before deleting.',
    'cdb_confirmToDelKeyField': 'Related reference parts will also be deleted.',
    'cdb_checkDeletableFieldNum': 'You can delete {{num}} items from the selected {{selected}} items. Are you sure you want to delete them?',
    'cdb_noDeletableField': 'The selected part cannot be deleted.',
    'cdb_confirmToImportCSVApp_partsTypeCannotChange': 'Each part type cannot be changed after the app is created.',
    'cdb_confirmToImportCSV': ' Start importing?',
    'cdb_confirmToImportCSV_unselectedRequired': 'There is missing item(s) on the required field(s).',
    'cdb_confirmToImportCSV_requiredInputTable': 'New data cannot be added because a Table Part is mandatory.',
    'cdb_confirmToImportCSV_requiredFiles': 'New data cannot be added because an Attachment Files part is mandatory.',
    'cdb_confirmToImportCSV_extraMessage': 'Click Yes if you want to start importing.',
    'cdb_successToImportCSVTransition': 'Click [{{button_name}}] to display the browse screen.',
    'cdb_successToExportCSV': 'Export is completed. <br>Click the link below to download.',
    'cdb_successToExportCSV_abort': 'Export process is canceled.',
    'cdb_successToExportHTML': 'Export is completed. <br>Click the link below to download.',
    'cdb_successToExportLink': 'Download File',
    'cdb_successToImportTemplate': 'Import is completed.',
    'cdb_browse_noViewsForManager': 'In the [Screen Design] menu, click [Create Screen] or set "Display in screen switching menu" to display. → [Screen Design]',
    'cdb_browse_invalidViewForManager': 'Make corrections from the [Screen Design] menu. → [Screen Design]',
    'cdb_browse_noPartsToShow': 'It cannot be used because there are no displayable parts on the screen.',
    'cdb_browse_noCalendarDatePart': 'It cannot be used because the part used as the date is not set.',
    'cdb_browse_noViewToShow': 'There is no screen that can be displayed.',
    'cdb_browse_confirmFullRecordCount': 'Are you sure you want to get the total number of data in the list?',
    'cdb_browse_confirmFullRecordCount_note': 'this process may take some time.',
    'cdb_browse_relKeyReferenceError': 'The referenced part cannot be accessed.',
    'cdb_browse_relKeyDetermined': 'The relevant data is not selected correctly. \n Please select the data from the selection dialog.',
    'cdb_browse_relKeyNoValue': 'You can not select it because value is not set to key part.',
    'cdb_browse_confirmToDelete_flow': 'If you delete data, related workflow form cannot be displayed.',
    'cdb_browse_confirmToDeleteAllRecords': 'Are you sure you want to delete all the data in the list?',
    'cdb_browse_deletedRecordsCount': 'Number of data to be deleted: {{count}}',
    'cdb_browse_ReplaceRecordsLimitOver': 'You can select up to 50 records.',
    'cdb_browse_ReplaceFieldUnselected': 'The target part is not selected.',
    'cdb_browse_confirmToReplaceAllRecords': 'Are you sure you want to replace all the data in the list?',
    'cdb_browse_confirmToReplaceAllRecordsCount': 'Number of items to be replaced: {{count}}',
    'cdb_browse_confirmToReplaceAllRecordsCountOver': 'Number of items to be replaced: more than {{count}}',
    'cdb_browse_confirmToReplaceSelectedRecords': 'Are you sure you want to replace the selected {{count}} items?',
    'cdb_browse_confirmToReplaceRecordsLabel': 'Replace',
    'cdb_browse_replaceRecordsCount': 'The selected {{count}} items will be updated.',
    'cdb_browse_confirmToRecalc': 'Are you sure you want to recalculate the displayed data?',
    'cdb_browse_confirmToRecalcAllRecords': 'Are you sure you want to recalculate all the data in the list?',
    'cdb_browse_confirmToRecalcAllRecordsCount': 'Number of data to be recalculated: {{count}}',
    'cdb_browse_confirmToRecalcAllRecordsCountOver': 'Number of data to be recalculated: More than {{count}}',
    'cdb_browse_confirmToRecalcSelectedRecords': 'Are you sure you want to recalculate the selected {{count}} items?',
    'cdb_browse_confirmToRecalcRecordsLabel': 'Recalculate',
    'cdb_browse_errorNotice': 'An error has occurred in "{{func}}". Date and time of occurrence: {{date}}',
    'cdb_browse_errorNoticeSeeLogs': 'View error log',
    'cdb_browse_editTableData_add': '{{count}} items have been added.',
    'cdb_browse_editTableData_modify': '{{count}} items have been updated.',
    'cdb_browse_printProgress': 'Preparing to print. Please wait for awhile.',
    'cdb_browse_printError': 'An error occurred while processing the print screen. Only the data that has been processed is displayed.',
    'cdb_browse_printAborted': 'The processing of the print screen has been canceled. Only the data that has been processed is displayed.',
    'cdb_browse_browseNoSourceData': 'The corresponding data does not exist.',
    'cdb_browse_appNotRunning': 'This application is not active. You cannot use this until application administrator activate it.',
    'cdb_browse_totalOld': 'Aggregated value may be updated. Click “Refresh” to update data.',
    'cdb_template_template2dbComplete': 'App has been created',
    'cdb_aset_successToModifyStatus': 'The status of this app has been changed.',
    'cdb_aset_confirmToPublishedApp': 'Are you sure you want to publish this app?',
    'cdb_aset_confirmToShowPublishedApp': 'View published apps',
    'cdb_aset_appWorkflowUnavailable': 'No one can apply with this app on workflow.',
    'cdb_aset_appWorkflowUnavailable_status': 'You should active this app.',
    'cdb_aset_appWorkflowUnavailable_format': 'You should set "Form Status" of workflow application form to "Complete".',
    'cdb_aset_successEntryApp': 'Basic information of the app has been updated.',
    'cdb_aset_viewConfirmToCreateFirstApp': 'There is no available screen. Would you like to create now?',
    'cdb_aset_viewSuccessToCreateApp': 'App has been created. Do you want to display the created app?',
    'cdb_aset_viewSuccessToCreateFlowApp': 'You should set workflow application form to apply with this app on workflow. Are you sure to display "Edit Application Form" screen?',
    'cdb_aset_viewConfirmToDeletePart': 'Are you sure you want to remove this part from the screen?',
    'cdb_aset_viewConfirmToDeletePartSome': 'Are you sure you want to remove the selected {{count:hs}} items from the screen?',
    'cdb_aset_viewConfirmToDeletePartSub': 'Are you sure you want to remove this part from the Table Part?',
    'cdb_aset_viewConfirmToDeletePartExtra': 'If you want to permanently delete the part, delete it from Part Management.',
    'cdb_aset_viewHasMyTransaction': 'There are unsaved changes on design screen. <br> Do you want to redisplay the on the screen?',
    'cdb_aset_viewHasMyTransactionNote': ' The unsaved changes will be deleted if you not redisplay the screen.',
    'cdb_aset_viewHasOthersTransaction': '{{name}} may be in the process of updating the screen. <br> Do you want to discard the works?',
    'cdb_aset_viewConfirmToCopyWithoutSaving': 'If you copy it as is, the changes made on this screen will be discarded. <br> Are you sure you want to continue?',
    'cdb_aset_viewConfirmToRemoveRelation_copy': 'Are you sure you want to cancel the copy setting for this part?',
    'cdb_aset_viewConfirmToRemoveRelation_reference': 'Are you sure you want to delete the referenced part that references this part?',
    'cdb_aset_viewConfirmToRemoveRelation': 'Are you sure you want to remove this relationship?',
    'cdb_aset_viewConfirmToRemoveRelationExtra': 'The reference part is deleted from this screen. \nThe copied data will remain.',
    'cdb_aset_viewRequiredFormatItem': 'The {{year, month, day}} of Date/Time Added is required for the automatic numbering format.',
    'cdb_aset_viewFailToCloneParts': 'The following parts were not copied. \n{{parts:hs}}',
    'cdb_aset_viewTotalNoSelectableField': 'No part to aggregate exists. Number or auto calculation part is required.',
    'cdb_aset_condStyleNotFound': 'The relevant conditional style may have been deleted. Please reload the screen and try again.',
    'cdb_aset_appSuccessToModify': 'The access right of the app user has been updated.',
    'cdb_aset_recordSuccessToModify': 'The access right of data has been updated.',
    'cdb_aset_fieldSuccessToModify': 'The access right of parts have been updated.',
    'cdb_aset_settingSuccessToModify': 'The display settings have been updated.',
    'cdb_app_sortorder_successChangeData': 'The sort order settings have been updated.',
    'cdb_aset_apiSettingSuccessToModify': 'The API settings have been updated.',
    'cdb_aset_coordinateSuccessToModify': 'The other feature integration has been updated.',
    'cdb_aset_changeLogSuccessToModify': 'Change log setting has been updated.',
    'cdb_aset_memoToModify': 'Notes have been updated.',
    'cdb_aset_appCapacityLimitToModify': 'Disk space settings have been updated.',
    'cdb_aset_errorlogConfirmToDelete': 'All logs error will be deleted. <br>Are you sure you want to continue?',
    'cdb_aset_taskReminderConfirmToChangeType': 'Notification format is cleared whenever you change notification type. You will set notification format. <br>Are you sure to change it?',
    'cdb_aggr_sampleAggregation': 'Sample Aggregation (The first 100 data are aggregated)',
    'cdb_aggr_fieldMax': 'The maximum number that can be placed in this frame is {{max}}.',
    'cdb_aggr_fieldMaxByCheck': 'Could not add because the allocation limit has been reached.',
    'cdb_aggr_fieldAreaInvalid': 'Cannot be placed in this frame.',
    'cdb_aggr_fieldAreaDuplicateItem': 'You cannot place multiple items of the same part in a frame other than the aggregation.',
    'cdb_aggr_failedValueAddCheckboxListbox': 'Currently, Check Box parts or List Box parts cannot be set. <br>Please set again after deleting the item in the aggregation.',
    'cdb_aggr_graphInvalidByCheckboxListbox': 'Check Box parts or List Box parts cannot be set for this graph.',
    'cdb_aggr_failedRowColAddCheckBoxListBox': 'Currently, Check Box parts or List Box parts cannot be set. <br>Please set again after deleting the item in the row or column.',
    'cdb_aggr_doneSettingCheckBoxListBox': 'Currently this item cannot be set. <br>Delete the Check Box part or List Box part in the aggregation, and then set it again.',
    'cdb_aggr_confirmToOtherGraph': 'Some data may not reflected to the selected graph. Continue?',
    'cdb_aggr_fieldNotFound': '{{name}}: Item does not exist. The item may have been deleted.',
    'cdb_aggr_fieldTypeChanged': '{{name}}: The calculation result type has changed.',
    'cdb_aggr_filterFieldNotFound': 'It contains parts that cannot be deleted or referenced.',
    'cdb_aggr_confirmToChangeAggrSetting': 'The aggregation method has changed, but it has not been saved. <br>Are you sure you want to switch the aggregation?',
    'cdb_aggr_doneAggregation_resultNothing': 'There is no data in the aggregation range. <br>Please check the range of aggregation and perform aggregation again.',
    'cdb_aggr_resultNothing': 'There is no aggregate result.',
    'cdb_aggr_reportNothing': 'There is no periodic aggregation result.',
    'cdb_aggr_autoCreationSettingMessage': 'It will be aggregated at the following dates and times. <br>',
    'cdb_aggr_autoCreationNoSettingMessage': 'Periodic aggregation conditions are not set.',
    'cdb_aggr_invalidStringOverflowMessage': "Please enter within {{value}} characters.",
    'cdb_aggr_invalidStringUnderflowMessage': "Please enter at least {{value}} characters.",
    'cdb_aggr_schedulerDisable': 'Scheduler is not running. Periodic aggregation will not be performed.',
    'cdb_aggr_DropAreaMaxItemMessage_R': 'This aggregation can display up to 10,000 items in a row.',
    'cdb_aggr_DropAreaMaxItemMessage_C': 'This aggregation can display up to 200 in a column.',
    'cdb_aggr_DropAreaMaxItemMessage_R_C': 'This aggregation can display up to 1000 items in rows and 200 items in columns.',
    'cdb_aggr_DropAreaMaxItemMessage_Pie': 'This aggregation can display up to 200 items on the axis.',
    'cdb_aggr_AggrResultMessage_MaxItems_R': 'The aggregation result may be incorrect. Set the aggregation range, and set the number of items in the aggregation result line to 10,000 items or less.',
    'cdb_aggr_AggrResultMessage_MaxItems_C': 'The aggregation result may be incorrect. Set the aggregation range, and set the number of items in the aggregation result column to 200 or less.',
    'cdb_aggr_AggrResultMessage_MaxItems_R_C': 'The aggregation result may be incorrect. Set the aggregation range, and set the number of items in the result row to 1000 items or less and the number of items in the column to 200 items or less.',
    'cdb_aggr_AggrResultMessage_MaxItems_Pie': 'The aggregation result may be incorrect. Set the aggregation range and set the number of items on the aggregation result axis to 200 or less.',
    'cdb_aggr_AggrResultMessage_ExistError': 'Some data may not be displayed in the graph due to overflow or an error in the Auto Calculation part. Check the setting of the range of aggregation and the Auto Calculation parts.',
    'cdb_aggr_AggrResultMessage_DataCount':'Number of data: {{value}}',
    'cdb_notice_mailDisable': "Sending email is not allowed. \nNotification feature is not available.",
    'cdb_notice_schedulerDisable': 'Scheduler is not running. \nPeriodic notifications will not be sent.'
});
desknets.Resource.cdb.viewPartSampleValue_richeditor = desknets.Resource.cdb.viewPartSampleValue_textarea;