if (!desknets.Resource.cdb) {
    desknets.Resource.cdb = {};
}
$.extend(desknets.Resource.cdb, {
    'nextButtonLabel': '次へ >',
    'prevButtonLabel': '< 前へ',
    'doAction': 'する',
    'donotAction': 'しない',
    'createAction': '作成する',
    'unspecified': '(指定なし)',
    'uncategorized': '(未分類)',
    'showViewButtonLabel': '再表示する',
    'rollbackViewButtonLabel': '破棄する',
    'rollbackOtherViewButtonLabel': '破棄して続ける',
    
    // アプリケーション
    'menuAppLabelAdd': 'ラベルの追加',
    'menuAppLabelMod': 'ラベルの変更',
    'menuAppLabelDel': 'ラベルの削除',
    'appCopyDefaultName': '複写した{{name:hs}}',

    // 部品
    'partKind_id': 'ID',
    'partKind_textbox': '文字(一行)',
    'partKind_textarea': '文字(複数行)',
    'partKind_checkbox': 'チェックボックス',
    'partKind_radio': 'ラジオボタン',
    'partKind_select': 'プルダウン',
    'partKind_listbox': 'リストボックス',
    'partKind_number': '数値',
    'partKind_date': '日付',
    'partKind_time': '時刻',
    'partKind_datetime': '日時',
    'partKind_files': '添付ファイル',
    'partKind_expression': '自動計算',
    'partKind_richeditor': 'リッチテキスト',
    'partKind_users': 'ユーザー選択',
    'partKind_groups': '組織選択',
    'partKind_input_list': '表部品',
    'partKind_user': 'ユーザー',
    'partKind_rel_list': '参照データ一覧',
    'partKind_rel_field': '参照部品',
    'partKind_text': 'テキスト',
    'partKind_horizontal_line': '横線',
    'partKind_vertical_line': '縦線',
    'partKind_rectangle': '四角形',
    'partKind_image': '画像',
    'partKind_interval': '時間',
    'partKind_custom': 'カスタム部品',
    'partKind_multiple': '(複数)',
    'partKind_copy_field': '複写部品',
    'partKind_total': '集計値',
    'partKind_none': '(なし)',
    'viewPartSampleValue': 'サンプル',
    'viewPartSampleValue_textbox': 'サンプルテキスト',
    'viewPartSampleValue_textarea': 'これはサンプルテキストです。これはサンプルテキストです。これはサンプルテキストです。これはサンプルテキストです。これはサンプルテキストです。',
    'viewPartSampleValue_files': 'サンプルファイル.txt',
    'viewPartSampleValue_users': 'サンプル氏名',
    'viewPartSampleValue_groups': 'サンプル組織名',
    'viewPartSampleValue_user': 'サンプル氏名',
    'partRecordError_reference_error': desknets.Resource.cdbneo.partRecordError_reference_error,
    'partRecordError_under_maintenance': desknets.Resource.cdbneo.partRecordError_under_maintenance,
    'partRecordError_unauthorized': desknets.Resource.cdbneo.partRecordError_unauthorized,
    'partAutoIdentified': '(自動採番)',
    'partRelTargetDeleted': '削除されました',
    'partRichTextHasValue': '(値あり)',
    'partDateFormat': 'yyyy年M月d日(E)',
    'partDateFormat_short': 'yyyy/MM/dd',
    'partTimeFormat': 'HH:mm',
    'partDateTimeFormat': 'yyyy年M月d日(E) HH:mm',
    'partDateTimeFormat_short': 'yyyy/MM/dd HH:mm',
    'partTimeSpanFormat': desknets.Resource.cdbneo.partTimeSpanFormat,
    'partDateClear': '値を消去',
    'partDateToday': '今日',
    'partDateNow': '現在',
    'partUserChooseMe': '自分を選択',
    'partUserChooseOther': '他のユーザーを選択',
    'partGroupChooseMe': '自分の代表組織を選択',
    'partGroupChooseOther': '他の組織を選択',
    'partList_insertRow': '行を挿入',
    'partList_deleteRow': '行を削除',
    'partRelKeyShowSource': '参照先を表示',
    'partTitle_total_sum': '{{field}}の合計',
    'partTitle_total_avg': '{{field}}の平均',
    'viewPartNoListItems': '(該当するデータはありません)',
    'viewPartEllipsedListItems': '該当件数が{{count}}件を超えました。{{count}}件まで表示します。',
    'viewPartNoColumn_input_list': '一覧に表示する部品が選択されていません。\n[表部品の詳細設定]ダイアログにて表示する部品を設定してください。\n→ [表部品の詳細設定]',
    'viewPartNoColumn_rel_list': '一覧に表示する部品が選択されていません。\n[参照データ一覧の詳細設定]ダイアログにて表示する部品を設定してください。\n→ [参照データ一覧の詳細設定]',
    'viewPartNoText_text': 'テキストが設定されていません。\n表示するテキストを設定してください。\n→ [テキストの編集]',
    'viewPartProblem_reference_error': '参照先のアプリケーション、またはその部品が正しく参照されていません。',
    'viewPartProblem_NotSupportVideoTag': 'お使いのブラウザでサポートされていない動画形式のため、再生できません。',
    'viewPartCreating': '作成中……',

    // 絞り込み条件
    'filterDayFormat': '{{day:hs}}日',
    'filterLastDay': '末日',
    'filterAllMonth': '1日～末日',
    'filterDateText_today': '今日',
    'filterDateText_thisMonth': '今月',
    'filterDateText_lastMonth': '前月',
    'filterDateText_nextMonth': '翌月',
    'filterDateText_-days': '{{value}}日前',
    'filterDateText_+days': '{{value}}日後',
    'filterDateText_-months': '{{value}}ヶ月前',
    'filterDateText_+months': '{{value}}ヶ月後',
    'filterDateText_-years': '{{value}}年前',
    'filterDateText_+years': '{{value}}年後',
    'filterDateText_deleted': '(削除された部品)',
    'filterText_is_not_null': '値あり',
    'filterText_is_null': '値なし',
    'filterFilesText_is_not_null': 'ファイルあり',
    'filterFilesText_is_null': 'ファイルなし',
    'filterSelectionText_LOGINUSER': '自分',
    'filterSelectionText_MYDEFAULTGROUP': '自分の代表組織',
    'filterComplexText': '(絞り込み中)',

    // ジョブ系(インポート・エクスポート・再計算)
    'impexpCsvColumn': '{{Column}}列目',
    'impexpImportLabel': 'インポート',
    'impexpImportResultLabel': 'インポートしたデータを確認する',
    'impexpExportLabel': 'エクスポート',
    'impexpSelectFrom_CsvColumn': '(CSVの列から選択)',
    'impexpSelectFrom_parentPart': '(親データの部品を選択)',

    // 変更履歴
    'changelogTypeInsert': '新規追加しました。',
    'changelogTypeUpdate': '変更しました。',
    'changelogTypeSelect':'{{value}}を追加しました。',
    'changelogTypeUnselect':'<s>{{value}}</s>を削除しました。',
    'changelogTypeInsertInInputList': '行を新規追加しました。',
    'changelogTypeUpdateInInputList': '行を変更しました。',
    'changelogTypeDeleteInInputList': '行を削除しました。',
    'changelogValueDetail': '詳細',

    // ダイアログのタイトル
    'browseFilterDialogTitle': '絞り込み条件',
    'browseShortcutDialogTitle_update': 'お気に入り検索条件の変更',
    'browseDetailPrintDialogTitle': '詳細印刷',
    'browseLockedColumnDialogTitle': '列の固定',
    'browseAppEntryMenuDialogTitle': 'アプリケーションの作成メニュー',
    'browseAppEntryTemplateMenuDialogTitle': 'テンプレートから作成メニュー',
    'browseHtmlExportDialogTitle': 'HTMLファイルへエクスポート',
    'fieldChooserDialogTitle': '部品の選択',
    'viewCreateDialogTitle': '画面の作成',
    'viewDetailDialogTitle': '画面の詳細設定',
    'viewCommitingDialogTitle': '設定を反映中……',
    'partAddPanelTitle': '部品の追加',
    'partSettingsPanelTitle': '部品の設定',
    'partDefaultValueDialogTitle': '初期値の設定',
    'partOptionsDialogTitle': '選択肢の設定',
    'partExpressionDialogTitle': '自動計算',
    'partInputListDialogTitle': '表部品の詳細設定',
    'partRelListDialogTitle': '参照データ一覧の詳細設定',
    'partCopyFieldDialogTitle': '複写元部品の選択',
    'partIdentityDialogTitle': '自動採番の詳細設定',
    'relationDialogTitle': '他のアプリケーションとの関係',
    'relationDialogTitle_page_0': 'キーとアプリケーションの選択',
    'relationDialogTitle_page_1': '選択ダイアログの設定',
    'accessChooserTitle': 'ユーザー／組織／ロールの選択',
    'fieldDetailDialogTitle_internal': 'この部品を使用している箇所',
    'fieldDetailDialogTitle_external': 'この部品と関係があるアプリケーション',
    'fieldModifyDialogTitle': '部品名の変更',
    'fieldDeleteProgressDialogTitle': '削除中……',
    'sortOrderCommitingDialogTitle': 'データの並び順設定を変更中……',
    'noticeFormatEditDialogTitle': '通知書式',
    'csvImportDialogTitle': 'CSVファイルからインポート',
    'csvExportDialogTitle': 'CSVファイルへエクスポート',
    'csvExportProgressDialogTitle': 'エクスポート中',
    'csvExportCompleteDialogTitle': 'CSVエクスポート完了',
    'csvExportAbortDialogTitle': 'CSVエクスポート中止',
    'csvAppImportDialogTitle': 'アプリケーション作成（CSVファイルからインポート）',
    'templateImportDialogTitle': 'テンプレートのインポート',
    'templateImportCompleteDialogTitle': 'テンプレートのインポート完了',
    'templateDetailInfomationDialogTitle': 'テンプレートの詳細',
    'templateConfirm2dbDialogTitle': 'アプリケーション作成の確認',
    'replaceDialogTitle': '値の置換',
    'changelogDialogTitle': 'データの変更履歴',

    // ボタン等のラベル
    'relationButtonRemove': 'クリア',
    'tableButtonRevert': '元に戻す',
    'linkMoreThumbs': 'もっと見る (あと{{num}}件)',
    'appStatusSetToRunning': '公開する',
    
    // 部品管理
    'fieldDetailTitle_rellist_field': '参照データ一覧の詳細設定',
    'fieldDetailTitle_identity_field': '自動採番の書式設定',
    'fieldDetailTitle_view': '画面デザイン',
    'fieldDetailTitle_aggregate': '集計設定',
    'fieldDetailTitle_task': '自動処理',
    'fieldDetailTitle_sort': 'データの並び順',
    'fieldDetailTitle_record_access': 'データのアクセス権',
    'fieldDetailTitle_field_access': '部品のアクセス権',
    'fieldDetailTitle_record_access_filter': '(対象データの範囲)',
    'fieldDetailTitle_access_assign': '(アクセス権付与対象者)',
    'fieldDetailTitle_no_referable_app': '(参照できないアプリケーション)',
    'fieldDetailTitle_no_referable_field': '(参照できない部品)',
    'fieldDetailTitle_coord': '他機能連携',
    'fieldDetailTitle_coord_schedule': 'スケジュール',
    'fieldDetailTitle_flow_format': 'ワークフロー・申請書設定',
    'fieldDetailTitle_flow_route': '(申請経路の分岐条件)',

    // 画面
    'partSizeAuto': '(自動)',
    'partOptionsUnselect': '(未選択)',
    'partMaxUnlimited': '(無制限)',
    'partDefaultOptions': ['サンプルの選択肢1', 'サンプルの選択肢2', 'サンプルの選択肢3'],
    'mainView_show': '表示する',
    'mainView_notShow': '表示しない',
    'viewDefaultName_card': '詳細画面',
    'viewDefaultName_table': '一覧画面',
    'viewDefaultName_calendar': 'カレンダー',
    'viewDefaultName_copy': '複写した{{name:hs}}',
    'viewRelationThatApp': '他のアプリケーション',
    'partIdentitySequence': '連番',
    'viewSizeFormat': '幅: {{page_width_mm}}mm({{page_width_px}}px)　高さ: {{page_height_mm}}mm({{page_height_px}}px)',
    
    // アプリケーション設定
    'recalcRunning': '再計算が実行中です。',
    'coordinateFlowFormatUneditable': '申請書を編集できません。',

    // 集計
    'aggrCommon_donot': '行わない',
    'aggrCommon_success': '成功',
    'aggrCommon_error': 'エラー',
    'aggrCommon_all': '(すべて)',
    'aggrBlank': '（空白）',
    'aggrItemDeleted': '（使用不可）',
    'aggrSettingsNewTitle': '新しい集計',
    'aggrMethodSettingsPanelTitle': '集計方法',
    'aggrDropAreaTitleColumn_pivot': '列',
    'aggrDropAreaTitleColumn_graph': '凡例（系列）',
    'aggrDropAreaTitleRow_pivot': '行',
    'aggrDropAreaTitleRow_pie': '軸（項目）',
    'aggrDropAreaTitleRow_graph': '軸（項目）',
    'aggrDropAreaValueItemTitle': '<<集計値>>',
    'aggrFieldOptionSubmenuSetting': '設定...',
    'aggrFieldOptionSubmenuRelease': '解除',
    'aggrFieldOptionTitleSum': '合計',
    'aggrFieldOptionTitleCount': 'データの個数',
    'aggrFieldOptionDialogTitle': '設定',
    'aggrAggregatingDialogTitle': '集計中……',
    'aggrCommitingDialogTitle': '設定を反映中……',
    'aggrDrawingDialogTitle': 'グラフを描画中……',
    // 項目の詳細設定ダイアログ
    'aggrItemSetting_HandleZero':'未入力を0として扱う',
    'aggrItemSetting_CountZero':'未入力をカウントする',
    // 集計範囲
    'aggrFilterModifyDialogTitle': '集計範囲の変更',
    // 集計処理
    'aggrPollingDialogTitle': '集計中',
    // 集計レポート
    'aggrReportLinkDialogTitle': '集計結果リンク',

    // 集計設定管理
    'aggrSettingCopyDialogTitle': '名前をつけて保存',
    'aggrSettingPublicDialogTitle': '公開設定',
    'aggrSettingListDialogTitle': '集計管理',
    'aggrSettingOptionsDialogTitle': '集計オプション',
    'aggrReportPublic_off': '非公開',
    'aggrReportPublicTarget_all': 'すべてのユーザー',
    'aggrReportPublicTarget_app_reference': 'アプリに参照権があるユーザー',
    'recurrenceDescFormat_h_minutes': '{{interval}}分毎',
    'recurrenceDescFormat_h_hours': '{{interval}}時間毎',
    'recurrenceDescFormat_d': '{{interval}}日毎',
    'recurrenceDescFormat_w': '{{interval}}週間毎',
    'recurrenceDescFormat_m': '{{interval}}ヶ月毎',
    'recurrenceDescFormat_dayOfWeek': '{{recurrence}} {{daysOfWeek}}',
    'recurrenceDescFormat_dayOfMonth': '{{recurrence}} {{day}}日',
    'recurrenceDescFormat_weekAndDayOfMonth': '{{recurrence}} {{weekOfMonth}}{{dayOfWeek}}',
    'recurrenceDescFormat_weekOfMonth': ['最終', '第1', '第2', '第3', '第4', '第5'],
    'recurrenceDescFormat_repeat': '{{startdate}}より{{rependtimes}}回繰り返す',
    'recurrenceDescFormat_enddate': '{{startdate}}から{{enddate}}まで',
    'recurrenceDescFormat_dayOfMonthLastDay': '{{recurrence}} 末日',
    // 集計レポート一覧
    'aggrReportListDialogTitle': '定期集計結果ログ',
    'aggrReportLink': '定期集計結果を確認',
    'aggrReportCreateByBatch': '(自動作成)',

    // ピボット
    'aggrPivotSubtotal': '小計',
    'aggrPivotGrandtotal': '総計',
    'aggrPivotGrandtotalPrefix': '全体の',
    'aggrGrandtotalValueName': '集計値',

    // グラフ
    'aggrGraphDataUnit_K': '千',
    'aggrGraphDataUnit_M': '百万',
    'aggrGraphDataUnit_G': '十億',
    'aggrGraphDataUnit_T': '兆',

    // 集計フォーマット
    'aggrFormat_hour':  'HH時',
    'aggrFormat_day':   'dd日',
    'aggrFormat_month': 'MM月',
    'aggrFormat_year':  'yyyy年',
    'aggrFormat_md':    'MM月dd日',
    'aggrFormat_ym':    'yyyy年MM月',
    'aggrFormat_ymd':   'yyyy年MM月dd日',
    'aggrFormat_ymdh':  'yyyy年MM月dd日HH時',

    // 通知状態
    'noticeOn': '有効',
    'noticeOff': '無効',

    // 通知書式のシステム値
    'NumberOfTarget':     '対象件数',
    'NumberOfSuccess':    '成功件数',
    'NoticeTitle':        '通知タイトル',
    'ApplicationName':    'アプリケーション名',
    'URL_ApplicationTop': 'アプリケーションのURL',
    'URL_Detail':         '詳細表示URL',
    
    // 自動処理
    'taskSaveEntryConstantValueLabel':'(任意の値)'
});

$.extend(desknets.Resource.Message, {
    'isAttachNg_import': '添付ファイルの使用が制限されているため、インポートは行えません。',
    'isAttachNg_export': '添付ファイルの使用が制限されているため、エクスポートは行えません。',
    'cdb_checkCarefulConfirm': '削除する',
    'cdb_invalidColorMismatchMessage': '色が正しくありません。',
    'cdb_filter_errorMessage_deleted': '削除された部品です。',
    'cdb_jobRunningRestart': '前回実行した処理が完了していません。進行状況を再表示します。',
    'cdb_jobByName': '{{name:hs}}さんが',
    'cdb_jobAlreadyExists_import': '{{byName}}インポート処理を実行中です。しばらく待ってから再度実行してください。',
    'cdb_jobRunningTitle_import': app.Resource.Message.importExecutionTitle,
    'cdb_jobRunningMessage_import': app.Resource.Message.importUnderExecution,
    'cdb_jobCompleteTitle_import': 'CSVインポート完了',
    'cdb_jobCompleteMessage_import': 'インポートが完了しました。',
    'cdb_jobIncompleteTitle_import': 'CSVインポート中止',
    'cdb_jobIncompleteMessage_import': 'インポートを中止しました。',
    'cdb_jobDetail_import': '成功: {{OK}} 件',
    'cdb_jobAlreadyExists_delete': '{{byName}}データの一括削除処理を実行中です。しばらく待ってから再度実行してください。',
    'cdb_jobRunningTitle_delete': 'データの削除中',
    'cdb_jobRunningMessage_delete': app.Resource.Message.importUnderExecution,
    'cdb_jobCompleteTitle_delete': 'データの一括削除完了',
    'cdb_jobCompleteMessage_delete': 'データの一括削除が完了しました。',
    'cdb_jobIncompleteTitle_delete': 'データの一括削除中止',
    'cdb_jobIncompleteMessage_delete': 'データの一括削除を中止しました。',
    'cdb_jobDetail_delete': '削除件数: {{count}}',
    'cdb_jobAlreadyExists_recalculate': '{{byName}}自動計算の再計算処理を実行中です。しばらく待ってから再度実行してください。',
    'cdb_jobRunningTitle_recalculate': '再計算中',
    'cdb_jobRunningMessage_recalculate': app.Resource.Message.importUnderExecution,
    'cdb_jobCompleteTitle_recalculate': '自動計算の再計算完了',
    'cdb_jobCompleteMessage_recalculate': '自動計算の再計算が完了しました。',
    'cdb_jobIncompleteTitle_recalculate': '自動計算の再計算中止',
    'cdb_jobIncompleteMessage_recalculate': '自動計算の再計算を中止しました。',
    'cdb_jobDetail_recalculate': '処理済みデータ件数: {{count}}',
    'cdb_jobAlreadyExists_replace': '{{byName}}値の置換を実行中です。しばらく待ってから再度実行してください。',
    'cdb_jobRunningTitle_replace': '値の置換中',
    'cdb_jobRunningMessage_replace': app.Resource.Message.importUnderExecution,
    'cdb_jobCompleteTitle_replace': '値の置換完了',
    'cdb_jobCompleteMessage_replace': '置換が完了しました。',
    'cdb_jobIncompleteTitle_replace': '置換中止',
    'cdb_jobIncompleteMessage_replace': '置換を中止しました。',
    'cdb_jobDetail_replace': '成功: {{OK}} 件<br>失敗: {{NG}} 件',
    'cdb_jobDetail_replaceDownloadLink': 'ログをダウンロード',
    'cdb_app_confirmToDeleteSubLabel': 'サブラベルも削除されます。',
    'cdb_app_confirmToDeleteApp': 'このまま削除してよろしいですか？',
    'cdb_app_confirmToDeleteApp_any': 'アプリケーションを削除するとアプリケーション内のデータも全て削除されます。',
    'cdb_app_confirmToDeleteApp_rel': '別のアプリケーションから参照されています。このまま削除すると参照元のアプリケーションで問題が発生する可能性があります。',
    'cdb_app_confirmToDeleteApp_flow': 'ワークフローの申請から参照されています。このまま削除すると関連付けられたワークフローの申請内容が表示できなくなります。',
    'cdb_app_confirmToDeleteApp_rel_extra': '問題を回避するために、参照元のアプリケーションとの関係を切ってから削除することを推奨します。',
    'cdb_confirmToDelField': '選択した部品は、主に[画面デザイン]、[自動処理]、[集計設定]で使用されています。<br>使用箇所、および関係があるアプリケーションを確認してから削除してください。',
    'cdb_confirmToDelKeyField': '関係する参照部品も削除されます。',
    'cdb_checkDeletableFieldNum': '選択した{{selected}}件のうち{{num}}件を削除することができます。削除してよろしいですか？',
    'cdb_noDeletableField': '選択した部品を削除することはできません。',
    'cdb_confirmToImportCSVApp_partsTypeCannotChange': 'アプリケーション作成後、部品タイプの変更はできません。',
    'cdb_confirmToImportCSV': 'インポートを開始します。<br>よろしいですか？',
    'cdb_confirmToImportCSV_unselectedRequired': '選択されていない入力必須の部品があります。',
    'cdb_confirmToImportCSV_requiredInputTable': '入力必須の表部品があるため、データの新規追加はできません。',
    'cdb_confirmToImportCSV_requiredFiles': '入力必須の添付ファイルがあるため、データの新規追加はできません。',
    'cdb_confirmToImportCSV_extraMessage': 'そのままインポートを開始する場合は「はい」ボタンを押してください。',
    'cdb_successToImportCSVTransition': '[{{button_name}}]をクリックするとブラウズ画面を表示します。',
    'cdb_successToExportCSV': 'エクスポートが完了しました。<br>以下のリンクをクリックしてダウンロードしてください。',
    'cdb_successToExportCSV_abort': 'エクスポートを中止しました。',
    'cdb_successToExportHTML': 'エクスポートが完了しました。<br>以下のリンクをクリックしてダウンロードしてください。',
    'cdb_successToExportLink': 'ファイルのダウンロード',
    'cdb_successToImportTemplate': 'インポートが完了しました。',
    'cdb_browse_noViewsForManager': '[画面デザイン]メニューで、[画面の作成]を行うか、「画面切替メニューに表示」を"表示する"に設定してください。 → [画面デザイン]',
    'cdb_browse_invalidViewForManager': '[画面デザイン]メニューで修正を行ってください。 → [画面デザイン]',
    'cdb_browse_noPartsToShow': '画面に表示可能な部品がないため利用することができません。',
    'cdb_browse_noCalendarDatePart': '日付として使う部品が設定されていないため利用することができません。',
    'cdb_browse_noViewToShow': '表示可能な画面がありません。',
    'cdb_browse_confirmFullRecordCount': '一覧の全データ件数を取得してよろしいですか？',
    'cdb_browse_confirmFullRecordCount_note': '時間がかかる場合があります。',
    'cdb_browse_relKeyReferenceError': '参照先の部品にアクセスできません。',
    'cdb_browse_relKeyDetermined': '関係するデータが正しく選択されていません。\n選択ダイアログからデータを選択してください。',
    'cdb_browse_relKeyNoValue': 'キー部品に値が設定されていないため、選択できません。',
    'cdb_browse_confirmToDelete_flow': '削除すると関連付けられたワークフローの申請内容が表示できなくなります。',
    'cdb_browse_confirmToDeleteAllRecords': '一覧のデータをすべて削除してよろしいですか？',
    'cdb_browse_deletedRecordsCount': '削除されるデータ件数: {{count}}件',
    'cdb_browse_ReplaceRecordsLimitOver': '値の置換で選択できるレコードは50件までです。',
    'cdb_browse_ReplaceFieldUnselected': '対象部品が選択されていません。',
    'cdb_browse_confirmToReplaceAllRecords': '一覧のデータをすべて置換してよろしいですか？',
    'cdb_browse_confirmToReplaceAllRecordsCount': '置換されるデータ件数: {{count}}件',
    'cdb_browse_confirmToReplaceAllRecordsCountOver': '置換されるデータ件数: {{count}}件以上',
    'cdb_browse_confirmToReplaceSelectedRecords': '選択した{{count}}件を置換してよろしいですか？',
    'cdb_browse_confirmToReplaceRecordsLabel': '置換する',
    'cdb_browse_replaceRecordsCount': '選択した{{count}}件が変更されます。',
    'cdb_browse_confirmToRecalc': '表示中のデータを再計算してよろしいですか？',
    'cdb_browse_confirmToRecalcAllRecords': '一覧のデータをすべて再計算してよろしいですか？',
    'cdb_browse_confirmToRecalcAllRecordsCount': '再計算されるデータ件数: {{count}}件',
    'cdb_browse_confirmToRecalcAllRecordsCountOver': '再計算されるデータ件数: {{count}}件以上',
    'cdb_browse_confirmToRecalcSelectedRecords': '選択した{{count}}件を再計算してよろしいですか？',
    'cdb_browse_confirmToRecalcRecordsLabel': '再計算する',
    'cdb_browse_errorNotice': '「{{func}}」でエラーが発生しています。発生日時：{{date}}',
    'cdb_browse_errorNoticeSeeLogs': 'エラーログを見る',
    'cdb_browse_editTableData_add': '{{count}}件追加しました。',
    'cdb_browse_editTableData_modify': '{{count}}件変更しました。',
    'cdb_browse_printProgress': '印刷の準備中です。しばらくお待ちください。',
    'cdb_browse_printError': '印刷画面の処理中にエラーが発生しました。処理が完了したデータのみ表示します。',
    'cdb_browse_printAborted': '印刷画面の処理を中止しました。処理が完了したデータのみ表示します。',
    'cdb_browse_browseNoSourceData': '該当データが存在しません。',
    'cdb_browse_appNotRunning': 'このアプリケーションは公開されていません。アプリケーション管理者が公開するまで使用できません。',
    'cdb_browse_totalOld': '集計値が更新されている可能性があります。「最新の情報に更新」を押してデータを再取得してください。',
    'cdb_template_template2dbComplete': 'アプリケーションを作成しました',
    'cdb_aset_successToModifyStatus': 'アプリケーションのステータスを変更しました。',
    'cdb_aset_confirmToPublishedApp': 'アプリケーションを公開してよろしいですか？',
    'cdb_aset_confirmToShowPublishedApp': '公開したアプリケーションを表示する',
    'cdb_aset_appWorkflowUnavailable': 'ワークフローから申請を行うことができない状態です。',
    'cdb_aset_appWorkflowUnavailable_status': '・アプリケーションを"公開中"にする必要があります。',
    'cdb_aset_appWorkflowUnavailable_format': '・申請書の「申請書の状態」を"完成"にする必要があります。',
    'cdb_aset_successEntryApp': 'アプリケーション基本情報を変更しました。',
    'cdb_aset_viewConfirmToCreateFirstApp': '画面がありません。作成しますか？',
    'cdb_aset_viewSuccessToCreateApp': 'アプリケーションを作成しました。作成したアプリケーションを表示しますか？',
    'cdb_aset_viewSuccessToCreateFlowApp': 'ワークフローからの申請機能を有効にするには、このアプリケーションの申請書の設定をする必要があります。申請書の変更画面を表示しますか？',
    'cdb_aset_viewConfirmToDeletePart': '画面からこの部品を取り除いてよろしいですか？',
    'cdb_aset_viewConfirmToDeletePartSome': '選択した{{count:hs}}件を画面から取り除いてよろしいですか？',
    'cdb_aset_viewConfirmToDeletePartSub': '表部品からこの部品を削除してよろしいですか？',
    'cdb_aset_viewConfirmToDeletePartExtra': '完全に削除する場合は部品管理から削除してください。',
    'cdb_aset_viewHasMyTransaction': '作業途中の画面デザイン情報があります。<br>作業途中の画面デザイン情報を再表示しますか？',
    'cdb_aset_viewHasMyTransactionNote': '再表示しない場合は、作業途中の画面デザイン情報が破棄されます。',
    'cdb_aset_viewHasOthersTransaction': '{{name}}さんが画面デザイン作業の途中である可能性があります。<br>この画面デザイン情報を破棄して、処理を続けますか？',
    'cdb_aset_viewConfirmToCopyWithoutSaving': 'このまま複写すると、この画面で変更した内容が破棄されます。<br>よろしいですか？',
    'cdb_aset_viewConfirmToRemoveRelation_copy': 'この部品の複写の設定を解除してよろしいですか？',
    'cdb_aset_viewConfirmToRemoveRelation_reference': 'この部品を参照している参照部品を削除してよろしいですか？',
    'cdb_aset_viewConfirmToRemoveRelation': 'この関係を解除しますか？',
    'cdb_aset_viewConfirmToRemoveRelationExtra': '参照部品はこの画面から削除されます。\n既に複写されたデータは残ります。',
    'cdb_aset_viewRequiredFormatItem': '自動採番の書式に登録日時の{{年,月,日}}が必要です。',
    'cdb_aset_viewFailToCloneParts': '以下の部品が複写されませんでした。\n{{parts:hs}}',
    'cdb_aset_viewTotalNoSelectableField': '集計可能な部品が存在しません。数値または自動計算の部品を追加してください。',
    'cdb_aset_condStyleNotFound': '該当する条件付きスタイルが削除された可能性があります。画面を再読み込みして作業をやり直してください。',
    'cdb_aset_appSuccessToModify': 'アプリケーション使用者のアクセス権を変更しました。',
    'cdb_aset_recordSuccessToModify': 'データのアクセス権を変更しました。',
    'cdb_aset_fieldSuccessToModify': '部品のアクセス権を変更しました。',
    'cdb_aset_settingSuccessToModify': '表示設定を変更しました。',
    'cdb_app_sortorder_successChangeData': '並び順設定を変更しました。',
    'cdb_aset_apiSettingSuccessToModify': 'API設定を変更しました。',
    'cdb_aset_coordinateSuccessToModify': '他機能連携を変更しました。',
    'cdb_aset_changeLogSuccessToModify': '変更履歴設定を変更しました。',
    'cdb_aset_memoToModify': 'メモを変更しました。',
    'cdb_aset_appCapacityLimitToModify': 'アプリケーションの容量制限を変更しました。',
    'cdb_aset_errorlogConfirmToDelete': '全てのエラーログを削除します。<br>よろしいですか？',
    'cdb_aset_taskReminderConfirmToChangeType': '通知タイプを変更すると通知書式の設定内容はリセットされます。通知書式の設定をやり直してください。<br>変更してよろしいですか？',
    'cdb_aggr_sampleAggregation': 'サンプル集計（先頭100件分のデータで集計しています。）',
    'cdb_aggr_fieldMax': 'この枠に配置できる上限は {{max}} つです。',
    'cdb_aggr_fieldMaxByCheck': '配置上限に達したため、追加できませんでした。',
    'cdb_aggr_fieldAreaInvalid': 'この枠に配置できません。',
    'cdb_aggr_fieldAreaDuplicateItem': '集計値以外の枠には同じ部品の項目を複数配置できません。',
    'cdb_aggr_failedValueAddCheckboxListbox': '現在、チェックボックス部品、またはリストボックス部品を設定できません。<br>集計値の項目を削除した後、再度設定してください',
    'cdb_aggr_graphInvalidByCheckboxListbox': 'このグラフにはチェックボックス部品、またはリストボックス部品を設定できません。',
    'cdb_aggr_failedRowColAddCheckBoxListBox': '現在、チェックボックス部品、またはリストボックス部品を設定できません。<br>行または列の項目を削除した後、再度設定してください。',
    'cdb_aggr_doneSettingCheckBoxListBox': '現在、この項目を設定できません。<br>集計値枠のチェックボックス部品、またはリストボックス部品を削除した後、再度設定してください。',
    'cdb_aggr_confirmToOtherGraph': '引き継がれない設定が含まれている可能性がありますが、グラフを切り替えますか？ ',
    'cdb_aggr_fieldNotFound': '{{name}}: 項目が存在しません。項目が削除された可能性があります。',
    'cdb_aggr_fieldTypeChanged': '{{name}}: 計算結果のタイプが変更されています。',
    'cdb_aggr_filterFieldNotFound': '削除、または参照できない部品が含まれています。',
    'cdb_aggr_confirmToChangeAggrSetting': '集計方法が変更されましたが、保存されていません。<br>集計を切り換えてよろしいですか？',
    'cdb_aggr_doneAggregation_resultNothing': '集計範囲にデータがありません。<br>集計範囲を確認して再度集計を行ってください。',
    'cdb_aggr_resultNothing': '集計結果がありません。',
    'cdb_aggr_reportNothing': '定期集計結果がありません。',
    'cdb_aggr_autoCreationSettingMessage': '以下の日時に集計されます。<br>',
    'cdb_aggr_autoCreationNoSettingMessage': '定期集計条件が設定されていません。',
    'cdb_aggr_invalidStringOverflowMessage': "{{value}}以下の文字を入力してください。",
    'cdb_aggr_invalidStringUnderflowMessage': "{{value}}以上の文字を入力してください。",
    'cdb_aggr_schedulerDisable': 'スケジューラが起動していません。定期集計は行われません。',
    'cdb_aggr_DropAreaMaxItemMessage_R': 'この集計は行に10000項目まで表示できます。',
    'cdb_aggr_DropAreaMaxItemMessage_C': 'この集計は列に200項目まで表示できます。',
    'cdb_aggr_DropAreaMaxItemMessage_R_C': 'この集計は行に1000項目、列に200項目まで表示できます。',
    'cdb_aggr_DropAreaMaxItemMessage_Pie': 'この集計は軸に200項目まで表示できます。',
    'cdb_aggr_AggrResultMessage_MaxItems_R': '集計結果が正しくない可能性があります。集計範囲を設定し、集計結果の行の項目数を10000項目以下にしてください。',
    'cdb_aggr_AggrResultMessage_MaxItems_C': '集計結果が正しくない可能性があります。集計範囲を設定し、集計結果の列の項目数を200項目以下にしてください。',
    'cdb_aggr_AggrResultMessage_MaxItems_R_C': '集計結果が正しくない可能性があります。集計範囲を設定し、集計結果の行の項目数を1000項目以下、列の項目数を200項目以下にしてください。',
    'cdb_aggr_AggrResultMessage_MaxItems_Pie': '集計結果が正しくない可能性があります。集計範囲を設定し、集計結果の軸の項目数を200項目以下にしてください。',
    'cdb_aggr_AggrResultMessage_ExistError': 'オーバーフローや自動計算部品のエラーによって、グラフに表示されていないデータがあります。集計範囲の設定や自動計算部品を確認してください。',
    'cdb_aggr_AggrResultMessage_DataCount':'データ件数:{{value}}',
    'cdb_notice_mailDisable': "メール送信機能の使用が許可されていません。\n通知機能を利用することはできません。",
    'cdb_notice_schedulerDisable': 'スケジューラが起動していません。\n定期通知は行われません。'
});
desknets.Resource.cdb.viewPartSampleValue_richeditor = desknets.Resource.cdb.viewPartSampleValue_textarea;