-- ----------------------------------------------------------------
-- 申請書カテゴリーマスタ
-- ----------------------------------------------------------------
CREATE TABLE TM_FLW_CATEGORY (
    SID_CORPORATE                   DECIMAL(9) NOT NULL ,
    ID                              DECIMAL(9) NOT NULL ,
    item                            VARCHAR(255) ,
    SEQNO                           DECIMAL(9) ,
    cretime                         CHAR(14) NOT NULL ,
    updtime                         CHAR(14) NOT NULL 
    )
;
COMMENT ON TABLE TM_FLW_CATEGORY IS '申請書カテゴリー';

COMMENT ON COLUMN TM_FLW_CATEGORY.SID_CORPORATE IS '会社システムＩＤ';
COMMENT ON COLUMN TM_FLW_CATEGORY.ID IS 'カテゴリーシステムＩＤ';
COMMENT ON COLUMN TM_FLW_CATEGORY.item IS 'カテゴリー名';
COMMENT ON COLUMN TM_FLW_CATEGORY.SEQNO IS '表示順';
COMMENT ON COLUMN TM_FLW_CATEGORY.cretime IS '作成日時';
COMMENT ON COLUMN TM_FLW_CATEGORY.updtime IS '更新日時';

ALTER TABLE TM_FLW_CATEGORY
    ADD CONSTRAINT TM_FLW_CATEGORY_PK PRIMARY KEY (SID_CORPORATE,ID)
;
